import './assets/styles/index.scss'

import { createApp } from 'vue'
import { createPinia } from 'pinia'
import VueCookies from 'vue3-cookies'
import { VueSvgIconPlugin } from '@yzfe/vue-svgicon'
import '@yzfe/svgicon/lib/svgicon.css'

// @ts-ignore
import App from './App.vue'
import router from './router'

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(VueCookies)
app.use(VueSvgIconPlugin, { tagName: 'icon' })

// 添加到vue对象上，可以在全局通过 this.$cookies来调用
app.config.globalProperties.$cookies = VueCookies

app.mount('#app')
